## gnuplot-iostream 0~20120508.git5719ce8

=== debian/changelog ===
gnuplot-iostream (0~20120508.git5719ce8-1) unstable; urgency=low

  * Initial packaging. (Closes: #691272)
  
 -- Anton Gladky <gladk@debian.org>  Wed, 27 Feb 2013 19:34:30 +0100
