=== debian/control ===
Source: gnuplot-iostream
Section: libdevel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), cmake, libboost-iostreams-dev, 
 libboost-system-dev, libboost-filesystem-dev
Homepage: http://www.stahlke.org/dan/gnuplot-iostream/
Vcs-Git: git://git.debian.org/git/debian-science/packages/gnuplot-iostream.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gnuplot-iostream.git

Package: libgnuplot-iostream-dev
Architecture: all
Depends: gnuplot, libboost-iostreams-dev, libboost-system-dev, 
 libboost-filesystem-dev, ${misc:Depends}
Suggests: gnuplot-iostream-doc
Description: C++ programming interface for gnuplot. Headers
 This interface allows gnuplot to be controlled from C++ and is designed to be
 the lowest hanging fruit. In other words, if you know how gnuplot works it
 should only take 30 seconds to learn this library. Basically it is just an
 iostream pipe to gnuplot with some extra functions for pushing data arrays and
 getting mouse clicks. Data sources include STL containers (eg. vector or map)
 and one or two dimensional Blitz++ arrays (of scalars or TinyVectors). Support
 for other data sources should be easy to add.
 .
 Basically there are two functions defined: send() sends arrays of data values
 (it is overloaded to do the right thing based upon what type of variable you
 pass) and getMouse() gets the position of a mouse click. Everything else is
 accomplished by sending commands manually to gnuplot via the iostream
 interface.

Package: libgnuplot-iostream-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: cmake, gnuplot-iostream, libblitz0-dev
Description: C++ programming interface for gnuplot. Docs and examples
 This interface allows gnuplot to be controlled from C++ and is designed to be
 the lowest hanging fruit. In other words, if you know how gnuplot works it
 should only take 30 seconds to learn this library. Basically it is just an
 iostream pipe to gnuplot with some extra functions for pushing data arrays and
 getting mouse clicks. Data sources include STL containers (eg. vector or map)
 and one or two dimensional Blitz++ arrays (of scalars or TinyVectors). Support
 for other data sources should be easy to add.
 .
 Basically there are two functions defined: send() sends arrays of data values
 (it is overloaded to do the right thing based upon what type of variable you
 pass) and getMouse() gets the position of a mouse click. Everything else is
 accomplished by sending commands manually to gnuplot via the iostream
