## gnuplot-iostream 0~20130424.gita9d3e31

=== debian/changelog ===
gnuplot-iostream (0~20130424.gita9d3e31-1) unstable; urgency=low

  * [10be64a] Imported Upstream version 0~20130424.gita9d3e31
  * [4454719] Enable some more tests.
  * [d88265b] Add blitz, armadillo to BD to enable some more tests.
  * [0603e0a] Minor update in rules and install files.

 -- Anton Gladky <gladk@debian.org>  Wed, 08 May 2013 21:09:45 +0200
