=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), cmake, libboost-iostreams-dev, 
- libboost-system-dev, libboost-filesystem-dev
+Build-Depends: debhelper (>= 9), libboost-iostreams-dev, gnuplot,
+ libboost-system-dev, libboost-filesystem-dev, libblitz-dev, libarmadillo-dev
 Homepage: http://www.stahlke.org/dan/gnuplot-iostream/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/gnuplot-iostream.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gnuplot-iostream.git
