## gnuplot-iostream 0~20130604.gitdd47c7a

=== debian/changelog ===
gnuplot-iostream (0~20130604.gitdd47c7a-1) unstable; urgency=low

  * [642dade] Imported Upstream version 0~20130604.gitdd47c7a
  * [b34ffd5] Enable all tests again.

 -- Anton Gladky <gladk@debian.org>  Wed, 05 Jun 2013 08:32:47 +0200

gnuplot-iostream (0~20130424.gita9d3e31-2) unstable; urgency=low

  * [2f5f4ac] Disable 1 arma-test, because it fails. Upstream is notified. 
              (Closes: #710620)
  * [c4d37e1] Use canonical VCS-field.

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Jun 2013 20:31:32 +0200
