=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9), libboost-iostreams-dev, gnuplot,
  libboost-system-dev, libboost-filesystem-dev, libblitz-dev, libarmadillo-dev
 Homepage: http://www.stahlke.org/dan/gnuplot-iostream/
-Vcs-Git: git://git.debian.org/git/debian-science/packages/gnuplot-iostream.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gnuplot-iostream.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot-iostream.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot-iostream.git
 
 Package: libgnuplot-iostream-dev
 Architecture: all
