## gnuplot-iostream 0~20140302.gitc8919a0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,27 @@
 Source: gnuplot-iostream
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: libdevel
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), libboost-iostreams-dev, gnuplot,
- libboost-system-dev, libboost-filesystem-dev, libblitz-dev, libarmadillo-dev
+Build-Depends: debhelper (>= 12~),
+               gnuplot,
+               libarmadillo-dev,
+               libboost-filesystem-dev,
+               libboost-iostreams-dev,
+               libboost-system-dev
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/gnuplot-iostream
+Vcs-Git: https://salsa.debian.org/science-team/gnuplot-iostream.git
 Homepage: http://www.stahlke.org/dan/gnuplot-iostream/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot-iostream.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot-iostream.git
 
 Package: libgnuplot-iostream-dev
 Architecture: all
-Depends: gnuplot, libboost-iostreams-dev, libboost-system-dev, 
- libboost-filesystem-dev, ${misc:Depends}
-Suggests: gnuplot-iostream-doc
+Depends: gnuplot,
+         libboost-filesystem-dev,
+         libboost-iostreams-dev,
+         libboost-system-dev,
+         ${misc:Depends}
+Suggests: libgnuplot-iostream-doc
 Description: C++ programming interface for gnuplot. Headers
  This interface allows gnuplot to be controlled from C++ and is designed to be
  the lowest hanging fruit. In other words, if you know how gnuplot works it
@@ -34,7 +41,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: cmake, gnuplot-iostream, libblitz0-dev
+Suggests: cmake,
+          gnuplot-iostream
 Description: C++ programming interface for gnuplot. Docs and examples
  This interface allows gnuplot to be controlled from C++ and is designed to be
  the lowest hanging fruit. In other words, if you know how gnuplot works it
