=== debian/changelog ===
gnuplot-iostream (0~20140302.gitc8919a0+dfsg-2) unstable; urgency=medium

  * [85d5c20] Use xvfb-run to run autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Mon, 08 Sep 2014 20:01:19 +0200

gnuplot-iostream (0~20140302.gitc8919a0+dfsg-1) unstable; urgency=medium

  * [7bd2e7d] Set Standards-Version: 3.9.5. No changes.
  * [0a8b6a3] Use wrap-and-sort.
  * [9366661] Update get-orig script.
  * [2f4decd] Add autopkgtest.
  * [737f6ec] Imported Upstream version 0~20140302.gitc8919a0+dfsg

 -- Anton Gladky <gladk@debian.org>  Sat, 06 Sep 2014 17:35:38 +0200

gnuplot-iostream (0~20130604.gitdd47c7a-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756705).

 -- Gilles Filippini <pini@debian.org>  Wed, 06 Aug 2014 19:39:45 +0200
