=== debian/tests/control ===
Tests: build1 build2
Depends: libgnuplot-iostream-dev, libboost-iostreams-dev, libboost-system-dev, libboost-filesystem-dev, build-essential, xvfb, xauth
