=== Makefile ===
--- 
+++ 
@@ -26,56 +26,78 @@
 
 # The -O0 option speeds up the compile, which is good for testing.  This should
 # never be used for production since the generated code is extremely slow!
-CXXFLAGS+=-Wall -Wextra -O0 -g
-LDFLAGS+=-lutil -lboost_iostreams -lboost_system -lboost_filesystem
+CXXFLAGS+=--std=c++17 -Wall -Wextra -O0 -g -D_GLIBCXX_DEBUG
+CXXFLAGS+=-fdiagnostics-color=auto
+LDFLAGS+=-lutil -lboost_iostreams -lboost_filesystem
 
 # This makes the examples and tests more complete, but only works if you have the corresponding
 # libraries installed.
-#CXXFLAGS+=--std=c++11 -DUSE_ARMA=1 -DUSE_BLITZ=1
+#CXXFLAGS+=-DUSE_ARMA=1
+#CXXFLAGS+=-DUSE_BLITZ=1
+#CXXFLAGS+=-DUSE_EIGEN=1 -isystem /usr/include/eigen3
 
 ALL_EXAMPLES=example-misc example-data-1d example-data-2d example-interactive
-TEST_BINARIES=test-noncopyable test-outputs
+TEST_BINARIES=test-noncopyable test-outputs test-empty
+
+.DELETE_ON_ERROR:
 
 all: $(ALL_EXAMPLES)
 
 %.o: %.cc gnuplot-iostream.h
+	@echo Compiling $@
 	$(CXX) $(CXXFLAGS) -c $< -o $@
 
 example-misc: example-misc.o
+	@echo Linking $@
 	$(CXX) -o $@ $^ $(LDFLAGS)
 
 example-data-1d: example-data-1d.o
+	@echo Linking $@
 	$(CXX) -o $@ $^ $(LDFLAGS)
 
 example-data-2d: example-data-2d.o
+	@echo Linking $@
 	$(CXX) -o $@ $^ $(LDFLAGS)
 
 example-interactive: example-interactive.o
+	@echo Linking $@
 	$(CXX) -o $@ $^ $(LDFLAGS)
 
 test-noncopyable: test-noncopyable.o
+	@echo Linking $@
 	$(CXX) -o $@ $^ $(LDFLAGS)
 
 test-outputs: test-outputs.o
+	@echo Linking $@
 	$(CXX) -o $@ $^ $(LDFLAGS)
 
-test-asserts: test-assert-depth.error.txt test-assert-depth-colmajor.error.txt
+test-empty: test-empty.o
+	@echo Linking $@
+	$(CXX) -o $@ $^ $(LDFLAGS)
 
-%.error.txt: %.cc gnuplot-iostream.h
+test-asserts: unittest-errors/test-assert-depth.error.txt unittest-errors/test-assert-depth-colmajor.error.txt
+	@echo Running $@
+	diff -r unittest-errors-good unittest-errors
+
+unittest-errors/%.error.txt: %.cc gnuplot-iostream.h
+	@echo Generating $@
+	mkdir -p unittest-errors
 	# These are programs that are supposed to *not* compile.
 	# The "!" causes "make" to throw an error if the compile succeeds.
-	! $(CXX) $(CXXFLAGS) -c $< -o $<.o 2> $@
-	grep -q 'container not deep enough\|boost::STATIC_ASSERTION_FAILURE' $@
+	! $(CXX) $(CXXFLAGS) -c $< -o $<.o 2> $@.orig
+	grep 'error:' $@.orig |sed 's/.*error:/error:/' > $@
+	rm -f $@.orig
 
 test: $(TEST_BINARIES) test-asserts
+	@echo Running $@
 	mkdir -p unittest-output
 	rm -f unittest-output/*
 	./test-outputs
-	diff -qr unittest-output unittest-output-good
+	diff -r unittest-output-good unittest-output
 
 clean:
 	rm -f *.o
-	rm -f *.error.txt
+	rm -rf unittest-errors unittest-output
 	rm -f $(ALL_EXAMPLES) $(TEST_BINARIES)
 	# Windows compilation
 	rm -f *.exe *.obj
@@ -83,7 +105,8 @@
 	rm -f my_graph_*.png external_binary.dat external_binary.gnu external_text.dat external_text.gnu inline_binary.gnu inline_text.gnu
 
 lint:
-	cpplint.py --filter=-whitespace,-readability/streams,-build/header_guard gnuplot-iostream.h
+	cpplint.py --filter=-whitespace,-readability/streams,-build/header_guard,-build/include_order,-runtime/references *.h *.cc \
+		2>&1 |grep -v 'Include the directory when naming'
 
 cppcheck:
-	cppcheck *.cc *.h --template gcc --enable=all -q
+	cppcheck *.cc *.h --template gcc --enable=all -q --force --std=c++17
