=== debian/changelog ===
gnuplot-iostream (0~20251226.git05843bd3-2) unstable; urgency=medium

  [ Matthias Klose ]
  * [41ed4cc] Fix linking the autopkg tests with boost 1.90. (Closes: #1127031)

  [ Anton Gladky ]
  * [20942ae] Set Standards-Version to 4.7.3, update d/control and copyright

 -- Anton Gladky <gladk@debian.org>  Wed, 18 Feb 2026 16:34:11 +0000

gnuplot-iostream (0~20251226.git05843bd3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [59cc7b6] Bump debhelper from old 12 to 13.
  * [c65b04c] Set debhelper-compat version in Build-Depends.
  * [5272085] Update standards version to 4.6.0, no changes needed.
  * [25cd0fb] Apply multi-arch hints. 
    + libgnuplot-iostream-doc: Add Multi-Arch: foreign.

  [ Alexandre Detiste ]
  * [2db77bc] fix Team name

  [ Anton Gladky ]
  * [6a90b1c] chore(ci): Add initial salsa-ci configuration
  * [3c57056] New upstream version 0~20251226.git05843bd3. (Closes: #1122419)
  * [f1a1981] Refresh patches
  * [f2be29f] refactor(debian): Cleanup debian/control and debian/install files

 -- Anton Gladky <gladk@debian.org>  Tue, 06 Jan 2026 21:38:29 +0100

gnuplot-iostream (0~20140302.gitc8919a0+dfsg-4) unstable; urgency=medium

  * [01b37a4] Fix typo in dependencies of the -dev-package. (Closes: #849895)
  * [e6bad53] Trim trailing whitespace.
  * [3edb567] Remove unnecessary 'Testsuite: autopkgtest' header.
  * [65b6d17] Use compat-level 12. Set Standards-Version: 4.3.0
  * [791e6ac] Add allow-stderr into autopkgtest
  * [a2196ba] Drop deprecated --parallel option

 -- Anton Gladky <gladk@debian.org>  Sun, 14 Jul 2019 17:17:16 +0200

gnuplot-iostream (0~20140302.gitc8919a0+dfsg-3) unstable; urgency=medium

  * [3bd2423] Drop blitz from build-depends. (Closes: #845046)
  * [974d177] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Thu, 29 Dec 2016 18:43:23 +0100
