=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: gnuplot-iostream
+Standards-Version: 4.7.3
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Anton Gladky <gladk@debian.org>,
 Section: libdevel
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:
- Anton Gladky <gladk@debian.org>
-Standards-Version: 3.9.5
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  gnuplot,
+ libblitz0-dev,
+ libeigen3-dev,
  libarmadillo-dev,
- libblitz-dev,
  libboost-filesystem-dev,
  libboost-iostreams-dev,
- libboost-system-dev
+ libboost-system-dev,
+Vcs-Browser: https://salsa.debian.org/science-team/gnuplot-iostream
+Vcs-Git: https://salsa.debian.org/science-team/gnuplot-iostream.git
 Homepage: http://www.stahlke.org/dan/gnuplot-iostream/
-XS-Testsuite: autopkgtest
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot-iostream.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot-iostream.git
 
 Package: libgnuplot-iostream-dev
 Architecture: all
@@ -25,9 +25,9 @@
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-system-dev,
- ${misc:Depends}
+ ${misc:Depends},
 Suggests:
- gnuplot-iostream-doc
+ libgnuplot-iostream-doc,
 Description: C++ programming interface for gnuplot. Headers
  This interface allows gnuplot to be controlled from C++ and is designed to be
  the lowest hanging fruit. In other words, if you know how gnuplot works it
@@ -45,13 +45,12 @@
 
 Package: libgnuplot-iostream-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
 Suggests:
  cmake,
- gnuplot-iostream,
- libblitz0-dev
 Description: C++ programming interface for gnuplot. Docs and examples
  This interface allows gnuplot to be controlled from C++ and is designed to be
  the lowest hanging fruit. In other words, if you know how gnuplot works it
